Package io.flutter.plugin.platform

## Class ImageReaderPlatformViewRenderTarget

- java.lang.Object
- - io.flutter.plugin.platform.ImageReaderPlatformViewRenderTarget

- All Implemented Interfaces:
    `PlatformViewRenderTarget`

      public class ImageReaderPlatformViewRenderTarget
      extends Object
      implements PlatformViewRenderTarget

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImageReaderPlatformViewRenderTarget​(TextureRegistry.ImageTextureEntry textureEntry)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ImageReader` | `createImageReader()` |
    `protected ImageReader` | `createImageReader29()` |
    `protected ImageReader` | `createImageReader33()` |
    `int` | `getHeight()` |
    `long` | `getId()` |
    `Surface` | `getSurface()` |
    `int` | `getWidth()` |
    `boolean` | `isReleased()` |
    `Canvas` | `lockHardwareCanvas()` |
    `void` | `release()` |
    `void` | `resize​(int width, int height)` |
    `void` | `unlockCanvasAndPost​(Canvas canvas)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageReaderPlatformViewRenderTarget

          public ImageReaderPlatformViewRenderTarget​(TextureRegistry.ImageTextureEntry textureEntry)

  - ### Method Detail

    - #### createImageReader33

          protected ImageReader createImageReader33()

    - #### createImageReader29

          protected ImageReader createImageReader29()

    - #### createImageReader

          protected ImageReader createImageReader()

    - #### resize

          public void resize​(int width,
                             int height)

      Specified by:
        `resize` in interface `PlatformViewRenderTarget`

    - #### getWidth

          public int getWidth()

      Specified by:
        `getWidth` in interface `PlatformViewRenderTarget`

    - #### getHeight

          public int getHeight()

      Specified by:
        `getHeight` in interface `PlatformViewRenderTarget`

    - #### lockHardwareCanvas

          public Canvas lockHardwareCanvas()

      Specified by:
        `lockHardwareCanvas` in interface `PlatformViewRenderTarget`

    - #### unlockCanvasAndPost

          public void unlockCanvasAndPost​(Canvas canvas)

      Specified by:
        `unlockCanvasAndPost` in interface `PlatformViewRenderTarget`

    - #### getId

          public long getId()

      Specified by:
        `getId` in interface `PlatformViewRenderTarget`

    - #### release

          public void release()

      Specified by:
        `release` in interface `PlatformViewRenderTarget`

    - #### isReleased

          public boolean isReleased()

      Specified by:
        `isReleased` in interface `PlatformViewRenderTarget`

    - #### getSurface

          public Surface getSurface()

      Specified by:
        `getSurface` in interface `PlatformViewRenderTarget`